package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * @Description : 采购合同交货规定
 * @Author : JiaYf
 * @Date: 2021-09-17 18:06
 */
@TableName("purch_contract_deliver_clause")
public class PurchContractDeliverClause extends BaseEntity {

    /** 交货地点 **/
    private String deliverSite;

    /** 交货方式 **/
    private String deliverMethod;

    /** 交货日期 **/
    private String deliverDate;

    /** 运输及保险费 **/
    private String transportPremium;

    /** 采购合同基本信息表Id **/
    private Long purchContractApprovalId;

    public String getDeliverSite() {
        return deliverSite;
    }

    public void setDeliverSite(String deliverSite) {
        this.deliverSite = deliverSite;
    }

    public String getDeliverMethod() {
        return deliverMethod;
    }

    public void setDeliverMethod(String deliverMethod) {
        this.deliverMethod = deliverMethod;
    }

    public String getDeliverDate() {
        return deliverDate;
    }

    public void setDeliverDate(String deliverDate) {
        this.deliverDate = deliverDate;
    }

    public String getTransportPremium() {
        return transportPremium;
    }

    public void setTransportPremium(String transportPremium) {
        this.transportPremium = transportPremium;
    }

    public Long getPurchContractApprovalId() {
        return purchContractApprovalId;
    }

    public void setPurchContractApprovalId(Long purchContractApprovalId) {
        this.purchContractApprovalId = purchContractApprovalId;
    }
}
